Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226224 - Merge Review: pam_ccreds
Summary: Merge Review: pam_ccreds
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:19 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-24 06:55:54 UTC
mmaslano: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:19:42 UTC
Fedora Merge Review: pam_ccreds

http://cvs.fedora.redhat.com/viewcvs/devel/pam_ccreds/
Initial Owner: tmraz@redhat.com

Comment 1 Marcela Mašláňová 2007-03-29 10:41:07 UTC
W: pam_ccreds no-url-tag
E: pam_ccreds binary-or-shlib-defines-rpath /usr/sbin/ccreds_validate
['/lib/security']
E: pam_ccreds binary-or-shlib-defines-rpath /usr/sbin/cc_dump ['/lib/security']
E: pam_ccreds binary-or-shlib-defines-rpath /usr/sbin/cc_test ['/lib/security']
-> replace rpath if possible
E: pam_ccreds setuid-binary /usr/sbin/ccreds_validate root 04755
E: pam_ccreds non-standard-executable-perm /usr/sbin/ccreds_validate 04755
-> I think they are needed for functionality of pam_ccred
W: pam_ccreds buildprereq-use automake db4-devel openssl-devel pam-devel
-> Use plain BuildRequires instead.

Missing dist tag.
Missing post, pre part with ldconfig for shared library.
Requires should include version, which is needed for install/build
%{name} >= %{version}-%{release}


Comment 2 Tomas Mraz 2007-04-05 11:04:37 UTC
(In reply to comment #1)
> W: pam_ccreds no-url-tag
Fixed.
> E: pam_ccreds binary-or-shlib-defines-rpath /usr/sbin/ccreds_validate
> ['/lib/security']
> E: pam_ccreds binary-or-shlib-defines-rpath /usr/sbin/cc_dump ['/lib/security']
> E: pam_ccreds binary-or-shlib-defines-rpath /usr/sbin/cc_test ['/lib/security']
> -> replace rpath if possible
No, the rpath is correct because the binaries have to link to the pam_ccreds.so
module directly.

> E: pam_ccreds setuid-binary /usr/sbin/ccreds_validate root 04755
> E: pam_ccreds non-standard-executable-perm /usr/sbin/ccreds_validate 04755
> -> I think they are needed for functionality of pam_ccred
Yes.

> W: pam_ccreds buildprereq-use automake db4-devel openssl-devel pam-devel
> -> Use plain BuildRequires instead.
Fixed.

> Missing dist tag.
Added.

> Missing post, pre part with ldconfig for shared library.
There is only pam module, no regular shared library -> no need for ldconfig.

> Requires should include version, which is needed for install/build
> %{name} >= %{version}-%{release}
It should build fine with versions which are not years old I don't think
explicit versions are required.

(pam_ccreds-4-2.fc7)


Note You need to log in before you can comment on or make changes to this bug.